package hu.uw.pallergabor.peeble;

import android.os.Bundle;
import android.content.IntentReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.ComponentName;
import android.util.Log;

public class BootCompletedIntentReceiver extends IntentReceiver {
  private static final String LOG_TAG = "Peeble_BootCompletedIntentReceiver";

  public void onReceiveIntent(Context context, Intent intent) {
	String action = intent.getAction();
	Log.d( LOG_TAG, action );
	if( action == null )
		Log.e( LOG_TAG,"Action==null!" );
	else if( "android.intent.action.BOOT_COMPLETED".equals( action ) ) {
	  Intent i = new Intent();
	  i.setClassName( "hu.uw.pallergabor.peeble", 
		"hu.uw.pallergabor.peeble.LocationScanningService" );
	  Bundle b = new Bundle();
	  ComponentName cname = context.startService( i,b );
	  if( cname == null )
		Log.e( LOG_TAG,"LocationScanningService was not started" );
	  else
		Log.d( LOG_TAG,"LocationScanningService started" );
	}
  }
}