package mwfw.syncmlds.impl;

/**
  * Support class for standard Dijkstra semaphore implementation
  */

public class Semaphore {
  int ctr = 0;
  
  public synchronized void p() {
    --ctr;
    if( ctr >= 0 )
    	return;
    try {
      wait();
    } catch( InterruptedException ex ) {}
  }
  
  public synchronized void v() {
    if( ctr < 0 )
    	notify();
    ++ctr;
  } 
  
  public synchronized void reset() {
    ctr = 0;
  }
}