package hu.uw.pallergabor.peeble;

import android.os.Bundle;
import android.content.IntentReceiver;
import android.content.Context;
import android.content.Intent;
import android.util.Log;
import android.location.Location;

public class LocationUpdateReceiver extends IntentReceiver {
  private static final String LOG_TAG = "Peeble_LocationUpdateReceiver";

  public void onReceiveIntent(Context context, Intent intent) {
    Log.d( LOG_TAG, intent.getAction() );
    LocationScanningService s = LocationScanningService.getServiceRef();
	String action = intent.getAction();
    if( action == null )
                Log.e( LOG_TAG,"Action==null!" );
    else if( "hu.uw.pallergabor.peeble.action.LOCATION_UPDATE".equals( action ) ) {
	  Bundle extras = intent.getExtras();
	  if( extras != null ) {
	    Location l = (Location)extras.get( "location" );
		if( s != null )
	    	s.locationEvent( l );
		else
			Log.e( LOG_TAG,"s==null!" );
	  }
	}	
  }
}