package mwfw.common;

import mwfw.ISendingProtocolAdapter;
import mwfw.IReceivingProtocolAdapter;
import mwfw.IReceivingDispatcher;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.io.InputStream;

/**
  * This is the implementation of the receiving dispatcher for protocol adapters
  */
public class ReceivingDispatcher implements IReceivingDispatcher {
  IReceivingProtocolAdapter receiver = null;

  public void setReceivingProtocolAdapter( IReceivingProtocolAdapter receiver ) {
	this.receiver = receiver;
  }

  protected void setReceivingProtocolAdapter() {
	this.receiver = null;
  }

// ------------------ IReceivingDispatcher
  public boolean receivePackage( int handle, String address, InputStream pkg ) throws Exception {
    boolean handled = receiver.receivePackage( handle, address, pkg );
    return handled;
  }
}
