package mwfw.sync;

public interface ISyncListener {

/**
  * Notifies the client that a synchronization session has been started
  * @param sessionKey Unique ID of the session
  */
  public void sessionStarted( String sessionKey,boolean client );

/**
  * Notifies the client that a synchronization session has ended
  * @param sessionKey Unique ID of the session
  */
  public void sessionEnded( String sessionKey,boolean client );

}
